package org.qatools.util;

import java.util.Random;

import org.apache.log4j.Logger;


public class LongUtil extends QAToolsUtil {
    private static Logger sLogger = Logger.getLogger(IntUtil.class);
    private static long cUniqueLong = System.currentTimeMillis();

    // --------------------------------------------------------------------
    // ----- 
    // --------------------------------------------------------------------


    /**
     * Returns a unique long starting with System.currentTimeMillis() so it's almost guaranteed to be unique the next time the JVM re-starts 
     * since it starts at the current system time.
     */
    public synchronized static long getUniqueLong() {
        return cUniqueLong++;
    }

    /**
     * Returns a unique long starting with 0. Not guaranteed to be unique the next time the JVM re-starts because it starts at 0 again.
     */
    private static long i = 0;
    public synchronized static long getUniqueLong2() {
        return i++;
    }

    // ------------------------------------------------------
    // ----- getRandomLong
    // ------------------------------------------------------

    /**
     * Returns random random int >= 0 and < n
     */
    public static long getRandomLong(long n) {
        long i = 0;
        try {
            Random r = new Random(n);
            i = r.nextLong(); // Returns random long >= 0 and < n
            sLogger.debug("getRandomLong(" + n + ") = " + i);
        } catch (IllegalArgumentException iae) {
            sLogger.error("Illegal Argument passed. " + iae.getLocalizedMessage());
        }
        return i;
    }

}